Bug 162224 - [patch] net-mgmt/mrtg fix typo
Summary: [patch] net-mgmt/mrtg fix typo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-01 11:00 UTC by Alexey V. Panfilov
Modified: 2011-11-13 19:00 UTC (History)
0 users

See Also:


Attachments
file.diff (454 bytes, patch)
2011-11-01 11:00 UTC, Alexey V. Panfilov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey V. Panfilov 2011-11-01 11:00:19 UTC
Patch provided by Alexey Markov fixes broken translation because of typo in the bin/mrtg

Fix: Apply the patch

Patch attached with submission follows:
Comment 1 Olli Hauer freebsd_committer 2011-11-06 14:19:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

I'll take it.
Comment 2 Olli Hauer freebsd_committer 2011-11-06 15:03:09 UTC
Hi Alexey,

does the official patch from toby also solve the issue?
http://oss.oetiker.ch/mrtg-trac/changeset/362

Reference:
http://oss.oetiker.ch/mrtg-trac/ticket/121
http://oss.oetiker.ch/mrtg-trac/ticket/123 (your ticket)

proposed patch from toby:

Index: /trunk/src/bin/mrtg
===================================================================
--- bin/mrtg	(revision 358)
+++ bin/mrtg	(revision 362)
@@ -1740,5 +1740,5 @@
 	my $imagepath = ( $cfg->{htmldir} ne $cfg->{imagedir} ) ? "$dirrel$$cfg{imagehtml}$$rcfg{directory_web}{$router}" : "";
         print HTML "
-<!-- Begin $sample{$peri} -->
+<!-- Begin $sample{$peri} interval) -->
 		<div class=\"graph\">
 			<h2>".&$LOC("$sample{$peri}").&$LOC(' Average)')."</h2>
@@ -1784,5 +1784,5 @@
 			</table>
 		</div>
-<!-- End $sample{$peri} -->\n";
+<!-- End $sample{$peri} interval) -->\n";
 }
 


--
Regards,
olli
Comment 3 Alexey V. Panfilov 2011-11-07 05:36:29 UTC
06.11.2011 19:03, Olli Hauer wrote:
> Hi Alexey,

Hi, Olly,

>
> does the official patch from toby also solve the issue?
> http://oss.oetiker.ch/mrtg-trac/changeset/362
>
> Reference:
> http://oss.oetiker.ch/mrtg-trac/ticket/121
> http://oss.oetiker.ch/mrtg-trac/ticket/123 (your ticket)
>
> proposed patch from toby:
>
> Index: /trunk/src/bin/mrtg
> ===================================================================
> --- bin/mrtg	(revision 358)
> +++ bin/mrtg	(revision 362)
> @@ -1740,5 +1740,5 @@
>   	my $imagepath = ( $cfg->{htmldir} ne $cfg->{imagedir} ) ? "$dirrel$$cfg{imagehtml}$$rcfg{directory_web}{$router}" : "";
>           print HTML "
> -<!-- Begin $sample{$peri} -->
> +<!-- Begin $sample{$peri} interval) -->
>   		<div class=\"graph\">
>   			<h2>".&$LOC("$sample{$peri}").&$LOC(' Average)')."</h2>
> @@ -1784,5 +1784,5 @@
>   			</table>
>   		</div>
> -<!-- End $sample{$peri} -->\n";
> +<!-- End $sample{$peri} interval) -->\n";
>   }

Yes, all of these patches are right and do one thing - remove 
unnecessary ")" at the end of the string. I submit this PR because I 
don't know when next mrtg's release will come but patch for fix it 
already presents.

--
Simple Lehisnoe ;-)
Comment 4 Olli Hauer freebsd_committer 2011-11-07 06:33:36 UTC
On 2011-11-07 06:36, Alexey V. Panfilov wrote:
> 06.11.2011 19:03, Olli Hauer wrote:
> 
> Yes, all of these patches are right and do one thing - remove unnecessary ")" at the end of the string. I submit this PR because I don't know when next mrtg's release will come but patch for fix it already presents.
> 


Hi Alexey,

is it OK for you if I commit the official patch instead yours?


--
Regards,
olli
Comment 5 Alexey V. Panfilov 2011-11-07 06:48:01 UTC
07.11.2011 10:33, Olli Hauer wrote:
> On 2011-11-07 06:36, Alexey V. Panfilov wrote:
>> 06.11.2011 19:03, Olli Hauer wrote:
>>
>> Yes, all of these patches are right and do one thing - remove unnecessary ")" at the end of the string. I submit this PR because I don't know when next mrtg's release will come but patch for fix it already presents.
>>
>
>
> Hi Alexey,

Hi again :)

> is it OK for you if I commit the official patch instead yours?

Np, Olli. The problem should be fixed. Which patch will be apply - it 
doesn't matter for me in this case.

--
Simple Lehisnoe ;-)
Comment 6 Alexey V. Panfilov 2011-11-07 07:08:15 UTC
07.11.2011 10:48, Alexey V. Panfilov wrote:
> 07.11.2011 10:33, Olli Hauer wrote:
>> On 2011-11-07 06:36, Alexey V. Panfilov wrote:
>>> 06.11.2011 19:03, Olli Hauer wrote:
>>>
>>> Yes, all of these patches are right and do one thing - remove
>>> unnecessary ")" at the end of the string. I submit this PR because I
>>> don't know when next mrtg's release will come but patch for fix it
>>> already presents.
>>>
>>
>>
>> Hi Alexey,
>
> Hi again :)
>
>> is it OK for you if I commit the official patch instead yours?
>
> Np, Olli. The problem should be fixed. Which patch will be apply - it
> doesn't matter for me in this case.

Olli, I'm too harry: patch from toby, which you provide, don't remove 
unnecessary slash (correction was made something in early version than 358).

--
Simple Lehisnoe ;-)
Comment 7 Alexey V. Panfilov 2011-11-07 07:14:20 UTC
07.11.2011 11:08, Alexey V. Panfilov wrote:
> 07.11.2011 10:48, Alexey V. Panfilov wrote:
>> 07.11.2011 10:33, Olli Hauer wrote:
>>> On 2011-11-07 06:36, Alexey V. Panfilov wrote:
>>>> 06.11.2011 19:03, Olli Hauer wrote:
>>>>
>>>> Yes, all of these patches are right and do one thing - remove
>>>> unnecessary ")" at the end of the string. I submit this PR because I
>>>> don't know when next mrtg's release will come but patch for fix it
>>>> already presents.
>>>>
>>>
>>>
>>> Hi Alexey,
>>
>> Hi again :)
>>
>>> is it OK for you if I commit the official patch instead yours?
>>
>> Np, Olli. The problem should be fixed. Which patch will be apply - it
>> doesn't matter for me in this case.
>
> Olli, I'm too harry: patch from toby, which you provide, don't remove
> unnecessary slash (correction was made something in early version than
> 358).

http://oss.oetiker.ch/mrtg-trac/changeset/349 - this is a correct patch 
from toby.

--
Simple Lehisnoe ;-)
Comment 8 dfilter service freebsd_committer 2011-11-13 18:41:59 UTC
ohauer      2011-11-13 18:41:50 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/mrtg        Makefile 
  Added files:
    net-mgmt/mrtg/files  patch-bin__mrtg 
  Log:
  - fix broken layout in mrtg
  
  PR:             ports/162224
  Submitted by:   Alexey V. Panfilov <ports@subnets.ru> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.110     +5 -0      ports/net-mgmt/mrtg/Makefile
  1.1       +14 -0     ports/net-mgmt/mrtg/files/patch-bin__mrtg (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Olli Hauer freebsd_committer 2011-11-13 18:59:15 UTC
State Changed
From-To: open->closed

I'll committed the changeset/349 
Thanks!